Page MenuHomePhabricator

Goals and measures of success of the Wikimedia Hackathon 2015
Closed, ResolvedPublic

Description

The Wikimedia Hackathon 2015 in Lyon is one of our top tech events of the year, together with the MediaWiki Developer Summit and the Wikimania Hackathon. It is also one of our biggest investments in terms of funds, travel, and volunteering effort. What do we want to achieve with this event? What are its goals and how are we going to measure its success?

Community

  • How many participants?
  • Diversity of participation (origin, affiliation, sponsored, newcomers)
  • How many buddies?

Hacking

  • How many projects are showcased?
  • How many driven by volunteers?
  • Any projects that the WMF decides to support after the event?
  • Tasks resolved?

Training

  • Overview of Wikimedia tech priorities and ongoing projects welcoming contributors.
  • How many newcomers & welcomers in welcoming session?
  • Participation and results in other training sessions.

Meeting

  • Community decisions worth a face to face meeting.
  • Social meetings and events.

Organization

  • Costs and final balance.
  • How much funds pooled for volunteer travel sponsorship, and from whom.
  • Participants survey and summary report.

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedKeegan
DeclinedNone
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedRfarrand
ResolvedNiharika
ResolvedNiharika
ResolvedQgil
DeclinedQgil
DeclinedQgil
DeclinedQgil
DeclinedDrbug
DeclinedTgr
ResolvedNiharika
ResolvedQgil
ResolvedNiharika
Resolved01tonythomas
DuplicateTinaj1234
ResolvedMooeypoo
Resolved yuvipanda
Resolved Nikerabbit
ResolvedNemo_bis
ResolvedDicortazar
ResolvedJdlrobson
Resolvedjayvdb
ResolvedNone
Resolvedjayvdb
ResolvedNone
Resolvedhappy5214
ResolvedAmire80
ResolvedAnkita-ks
ResolvedYaron_Koren
ResolvedQgil
ResolvedQgil
ResolvedQgil
DeclinedAlexCella
ResolvedDeskana
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedQgil

Event Timeline

Qgil created this task.Feb 4 2015, 9:21 AM
Qgil claimed this task.
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added a project: Wikimedia-Hackathon-2015.
Qgil added subscribers: Qgil, Eloquence, damons.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 4 2015, 9:21 AM
Qgil updated the task description. (Show Details)Feb 5 2015, 8:16 AM
Qgil set Security to None.

Last year we organized activities in three areas: Hacking, Training, Meeting. I think we should keep these three containers.

Do we have main themes for Lyon, as we had in San Francisco last week?

Hacking

  • Bug Solved
  • Lines of Code written
  • Tool Labs accounts created

Training

  • Workshop for beginners
  • Survey to evaluate abilities improvements for coders

Meeting

  • We'd like to have a moment to gather people interested in Wikidata and DBpedia for them to share their experiences.
  • 3 talks, 1 per day, to still have time to code

Ideas:

  • Wikidata ( @Lydia_Pintscher would you be interested?)
  • Open Street Map ?
  • Vagrant ?

Regarding main themes, we were considering Wikidata and maps, in order to continue what has been started last year.

Qgil added a comment.Feb 11 2015, 2:31 PM

We asked Lila, and she is proposing a radical change, actually more in the pure spirit of hackathons:

I think the more important part is not the structure but the process and outcomes. I want us to re-imagine what we want these events to be. I'd like to see them being "accelerators" of labs and productized products as well as a way to identify community people who might be capable of leading independent feature development.
With that goal in mind -- we want to focus on teaming, prototyping and demonstration -- i.e. building out a way to demo the feature prototype by the end of the event with maybe fun prizes or even a "fellowship" for the team to flesh out the concept. I don't think we should restrict the areas of innovation at all as long as the hacking is demo-able.

I must say I really like this.

Qgil raised the priority of this task from Normal to High.Feb 11 2015, 2:32 PM

Thus, what Lila is suggesting is that we stop middle-term projects which are developed one Hackathon at the time (such as Maps or Flow for instance) but focus instead on projects that can be finished in 3 days?

I really like the new perspective but I wonder if we won't lose the community spirit of the event? Prizes imply competition.

For us in France, it doesn't change that much the process of planning, I'll submit this idea to our hackathon community and I'll get back to you for a feedback. :)

Hi, I'm not sure how to understand Lila's message : if the goal is to encourage participation through a bit of gamification (set short terms goals that can be accomplished in a week-end through a demo/prototype), I'm all for it.

If the goal is to get completely rid of the work on long-term projects that is done during the time of the Hackathon, then I don't like the idea. I think we need both - and need to encourage both ways of action. On think to keep in mind is that people working on long-term projects generally are experienced users and open to take some minutes to answer specific questions (about how to do something with the API for example), which could be a great help for people working on the short-term demoable projects Lila describes.

Qgil added a comment.Feb 13 2015, 4:51 PM

"Demo-able" is the goal, the catalizator. Whatever you do, get organized with others so you have something to show at the end of the hackathon. The primary use case Lila has in mind are prototypes of new features, but the demo-able principle should be applicable to basically all areas: a collaborative effort on performance results in demonstrable faster uploads, an old nasty bug is now fixed, a missing document is now published, 20 absolute beginners uploaded their first patch to Gerrit...

To put a real example, I have started to discuss the possibility of going for T560: Proof of concept of code review in Phabricator to some people interested in this idea.

OK, it seems great. What would be the prizes? Barnstars or things with real monetary value? Who will decide who receives these prizes?

Qgil added a comment.Feb 18 2015, 2:27 PM

No idea about prizes yet. They should not be the main motivation in any case. Meanwhile: https://www.mediawiki.org/wiki/Hackathons#Demo-able_projects

Qgil updated the task description. (Show Details)Feb 20 2015, 3:30 PM
Qgil added a project: ECT-February-2015.

Please check the measures of success proposed in the task description.

Qgil closed this task as Resolved.Feb 24 2015, 1:58 PM

Goals are described in https://www.mediawiki.org/wiki/Hackathons#The_Wikimedia_Hackathon_model

Measures of success: https://www.mediawiki.org/wiki/Hackathons#Measures_of_success

This is good enough to close this task. We can always fine tune and improve in the wiki page.

Qgil moved this task from Backlog to Doing on the ECT-February-2015 board.Feb 24 2015, 4:55 PM